<?php

if ( class_exists("Kirki")){

	// LOGO

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'misbah_blog_logo_resizer',
		'label'       => esc_html__( 'Adjust Your Logo Size ', 'misbah-blog' ),
		'section'     => 'title_tagline',
		'default'     => 70,
		'choices'     => [
			'min'  => 10,
			'max'  => 300,
			'step' => 10,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'misbah_blog_enable_logo_text',
		'section'     => 'title_tagline',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Site Title and Tagline', 'misbah-blog' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'misbah_blog_display_header_title',
		'label'       => esc_html__( 'Site Title Enable / Disable Button', 'misbah-blog' ),
		'section'     => 'title_tagline',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'misbah-blog' ),
			'off' => esc_html__( 'Disable', 'misbah-blog' ),
		],
		'partial_refresh'    => [
		'misbah_blog_display_header_title' => [
			'selector'        => '.logo a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'misbah_blog_display_header_text',
		'label'       => esc_html__( 'Tagline Enable / Disable Button', 'misbah-blog' ),
		'section'     => 'title_tagline',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'misbah-blog' ),
			'off' => esc_html__( 'Disable', 'misbah-blog' ),
		],
		'partial_refresh'    => [
		'misbah_blog_display_header_text' => [
			'selector'        => '.logo-content span',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	// FONT STYLE TYPOGRAPHY

	Kirki::add_panel( 'misbah_blog_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Typography', 'misbah-blog' ),
	) );

	Kirki::add_section( 'misbah_blog_font_style_section', array(
		'title'      => esc_attr__( 'Typography Option',  'misbah-blog' ),
		'priority'   => 2,
		'capability' => 'edit_theme_options',
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'misbah_blog_all_headings_typography',
		'section'     => 'misbah_blog_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Heading Of All Sections',  'misbah-blog' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'misbah_blog_all_headings_typography',
		'label'       => esc_attr__( 'Heading Typography',  'misbah-blog' ),
		'description' => esc_attr__( 'Select the typography options for your heading.',  'misbah-blog' ),
		'section'     => 'misbah_blog_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'h1','h2','h3','h4','h5','h6', ),
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'misbah_blog_body_content_typography',
		'section'     => 'misbah_blog_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Body Content',  'misbah-blog' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'misbah_blog_body_content_typography',
		'label'       => esc_attr__( 'Content Typography',  'misbah-blog' ),
		'description' => esc_attr__( 'Select the typography options for your content.',  'misbah-blog' ),
		'section'     => 'misbah_blog_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'body', ),
			),
		),
	) );

	// PANEL

	Kirki::add_panel( 'misbah_blog_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Theme Options', 'misbah-blog' ),
	) );

	// Additional Settings

	Kirki::add_section( 'misbah_blog_additional_settings', array(
	    'title'          => esc_html__( 'Additional Settings', 'misbah-blog' ),
	    'description'    => esc_html__( 'Scroll To Top', 'misbah-blog' ),
	    'panel'          => 'misbah_blog_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'misbah_blog_scroll_enable_setting',
		'label'       => esc_html__( 'Here you can enable or disable your scroller.', 'misbah-blog' ),
		'section'     => 'misbah_blog_additional_settings',
		'default'     => '1',
		'priority'    => 10,
		'partial_refresh'    => [
		'misbah_blog_scroll_enable_setting' => [
			'selector'        => '.scroll-up a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	new \Kirki\Field\Radio_Buttonset(
	[
		'settings'    => 'misbah_blog_scroll_top_position',
		'label'       => esc_html__( 'Alignment for Scroll To Top', 'misbah-blog' ),
		'section'     => 'misbah_blog_additional_settings',
		'default'     => 'Right',
		'priority'    => 10,
		'choices'     => [
			'Left'   => esc_html__( 'Left', 'misbah-blog' ),
			'Center' => esc_html__( 'Center', 'misbah-blog' ),
			'Right'  => esc_html__( 'Right', 'misbah-blog' ),
		],
	]
	);

	new \Kirki\Field\Select(
	[
		'settings'    => 'menu_text_transform_misbah_blog',
		'label'       => esc_html__( 'Menus Text Transform', 'misbah-blog' ),
		'section'     => 'misbah_blog_additional_settings',
		'default'     => 'CAPITALISE',
		'placeholder' => esc_html__( 'Choose an option', 'misbah-blog' ),
		'choices'     => [
			'CAPITALISE' => esc_html__( 'CAPITALISE', 'misbah-blog' ),
			'UPPERCASE' => esc_html__( 'UPPERCASE', 'misbah-blog' ),
			'LOWERCASE' => esc_html__( 'LOWERCASE', 'misbah-blog' ),

		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'misbah_blog_menu_zoom',
		'label'       => esc_html__( 'Menu Transition', 'misbah-blog' ),
		'section'     => 'misbah_blog_additional_settings',
		'default' => 'None',
		'placeholder' => esc_html__( 'Choose an option', 'misbah-blog' ),
		'choices'     => [
			'None' => __('None','misbah-blog'),
            'Zoominn' => __('Zoom Inn','misbah-blog'),
            
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'misbah_blog_container_width',
		'label'       => esc_html__( 'Theme Container Width', 'misbah-blog' ),
		'section'     => 'misbah_blog_additional_settings',
		'default'     => 100,
		'choices'     => [
			'min'  => 50,
			'max'  => 100,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'misbah_blog_site_loader',
		'label'       => esc_html__( 'Here you can enable or disable your Site Loader.', 'misbah-blog' ),
		'section'     => 'misbah_blog_additional_settings',
		'default'     => false,
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'misbah_blog_sticky_header',
		'label'       => esc_html__( 'Here you can enable or disable your Sticky Header.', 'misbah-blog' ),
		'section'     => 'misbah_blog_additional_settings',
		'default'     => false,
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'misbah_blog_page_layout',
		'label'       => esc_html__( 'Page Layout Setting', 'misbah-blog' ),
		'section'     => 'misbah_blog_additional_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'misbah-blog' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','misbah-blog'),
            'Right Sidebar' => __('Right Sidebar','misbah-blog'),
            'One Column' => __('One Column','misbah-blog')
		],
	] );


	if ( class_exists("woocommerce")){
	// Woocommerce Settings

	Kirki::add_section( 'misbah_blog_woocommerce_settings', array(
			'title'          => esc_html__( 'Woocommerce Settings', 'misbah-blog' ),
			'description'    => esc_html__( 'Shop Page', 'misbah-blog' ),
			'panel'          => 'misbah_blog_panel_id',
			'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'misbah_blog_shop_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable shop page sidebar.', 'misbah-blog' ),
		'section'     => 'misbah_blog_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'misbah_blog_product_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable product page sidebar.', 'misbah-blog' ),
		'section'     => 'misbah_blog_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'misbah_blog_related_product_setting',
		'label'       => esc_html__( 'Here you can enable or disable your related products.', 'misbah-blog' ),
		'section'     => 'misbah_blog_woocommerce_settings',
		'default'     => true,
		'priority'    => 10,
	] );

	new \Kirki\Field\Number(
	[
		'settings' => 'misbah_blog_per_columns',
		'label'    => esc_html__( 'Product Per Row', 'misbah-blog' ),
		'section'  => 'misbah_blog_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 4,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'misbah_blog_product_per_page',
		'label'    => esc_html__( 'Product Per Page', 'misbah-blog' ),
		'section'  => 'misbah_blog_woocommerce_settings',
		'default'  => 9,
		'choices'  => [
			'min'  => 1,
			'max'  => 15,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'custom_related_products_number_per_row',
		'label'    => esc_html__( 'Related Product Per Column', 'misbah-blog' ),
		'section'  => 'misbah_blog_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 4,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'custom_related_products_number',
		'label'    => esc_html__( 'Related Product Per Page', 'misbah-blog' ),
		'section'  => 'misbah_blog_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 10,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Select(
	[
		'settings'    => 'misbah_blog_shop_page_layout',
		'label'       => esc_html__( 'Shop Page Layout Setting', 'misbah-blog' ),
		'section'     => 'misbah_blog_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'misbah-blog' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','misbah-blog'),
            'Right Sidebar' => __('Right Sidebar','misbah-blog')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'misbah_blog_product_page_layout',
		'label'       => esc_html__( 'Product Page Layout Setting', 'misbah-blog' ),
		'section'     => 'misbah_blog_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'misbah-blog' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','misbah-blog'),
            'Right Sidebar' => __('Right Sidebar','misbah-blog')
		],
	] );

		new \Kirki\Field\Radio_Buttonset(
	[
		'settings'    => 'misbah_blog_woocommerce_pagination_position',
		'label'       => esc_html__( 'Woocommerce Pagination Alignment', 'misbah-blog' ),
		'section'     => 'misbah_blog_woocommerce_settings',
		'default'     => 'Center',
		'priority'    => 10,
		'choices'     => [
			'Left'   => esc_html__( 'Left', 'misbah-blog' ),
			'Center' => esc_html__( 'Center', 'misbah-blog' ),
			'Right'  => esc_html__( 'Right', 'misbah-blog' ),
		],
	]
	);
}

	// COLOR SECTION

	Kirki::add_section( 'misbah_blog_section_color', array(
	    'title'          => esc_html__( 'Global Color', 'misbah-blog' ),
	    'description'    => esc_html__( 'Theme Color Settings', 'misbah-blog' ),
	    'panel'          => 'misbah_blog_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'misbah_blog_global_colors',
		'section'     => 'misbah_blog_section_color',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Here you can change your theme color on one click.', 'misbah-blog' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'misbah_blog_global_color',
		'label'       => __( 'choose your Appropriate Color', 'misbah-blog' ),
		'section'     => 'misbah_blog_section_color',
		'default'     => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'misbah_blog_global_color_2',
		'label'       => __( 'Choose Your Second Color', 'misbah-blog' ),
		'section'     => 'misbah_blog_section_color',
		'default'     => '',
	] );

	// POST SECTION

	Kirki::add_section( 'misbah_blog_section_post', array(
	    'title'          => esc_html__( 'Post Settings', 'misbah-blog' ),
	    'description'    => esc_html__( 'Here you can get different post settings', 'misbah-blog' ),
	    'panel'          => 'misbah_blog_panel_id',
	    'priority'       => 160,
	) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'misbah_blog_enable_post_heading',
		'section'     => 'misbah_blog_section_post',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Post Settings.', 'misbah-blog' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'misbah_blog_blog_date_enable',
		'label'       => esc_html__( 'Post Date Enable / Disable Button', 'misbah-blog' ),
		'section'     => 'misbah_blog_section_post',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'misbah-blog' ),
			'off' => esc_html__( 'Disable', 'misbah-blog' ),
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'misbah_blog_blog_admin_enable',
		'label'       => esc_html__( 'Post Author Enable / Disable Button', 'misbah-blog' ),
		'section'     => 'misbah_blog_section_post',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'misbah-blog' ),
			'off' => esc_html__( 'Disable', 'misbah-blog' ),
		],
		'partial_refresh'    => [
		'misbah_blog_blog_admin_enable' => [
			'selector'        => 'h3.post-title',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'misbah_blog_blog_comment_enable',
		'label'       => esc_html__( 'Post Comment Enable / Disable Button', 'misbah-blog' ),
		'section'     => 'misbah_blog_section_post',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'misbah-blog' ),
			'off' => esc_html__( 'Disable', 'misbah-blog' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'misbah_blog_excerpt_post_text',
		'section'     => 'misbah_blog_section_post',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Number Of Text', 'misbah-blog' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'misbah_blog_post_excerpt_number',
		'label'       => esc_html__( 'Post Content Range', 'misbah-blog' ),
		'section'     => 'misbah_blog_section_post',
		'default'     => 15,
		'choices'     => [
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'misbah_blog_pagination_setting',
		'label'       => esc_html__( 'Here you can enable or disable your Pagination.', 'misbah-blog' ),
		'section'     => 'misbah_blog_section_post',
		'default'     => true,
		'priority'    => 10,
	] );

		new \Kirki\Field\Select(
	[
		'settings'    => 'misbah_blog_archive_sidebar_layout',
		'label'       => esc_html__( 'Archive Post Sidebar Layout Setting', 'misbah-blog' ),
		'section'     => 'misbah_blog_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'misbah-blog' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','misbah-blog'),
            'Right Sidebar' => __('Right Sidebar','misbah-blog')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'misbah_blog_single_post_sidebar_layout',
		'label'       => esc_html__( 'Single Post Sidebar Layout Setting', 'misbah-blog' ),
		'section'     => 'misbah_blog_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'misbah-blog' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','misbah-blog'),
            'Right Sidebar' => __('Right Sidebar','misbah-blog')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'misbah_blog_search_sidebar_layout',
		'label'       => esc_html__( 'Search Page Sidebar Layout Setting', 'misbah-blog' ),
		'section'     => 'misbah_blog_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'misbah-blog' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','misbah-blog'),
            'Right Sidebar' => __('Right Sidebar','misbah-blog')
		],
	] );

	Kirki::add_field( 'misbah_blog_config', [
		'type'        => 'select',
		'settings'    => 'misbah_blog_post_column_count',
		'label'       => esc_html__( 'Grid Column for Archive Page', 'misbah-blog' ),
		'section'     => 'misbah_blog_section_post',
		'default'    => '2',
		'choices' => [
				'1' => __( '1 Column', 'misbah-blog' ),
				'2' => __( '2 Column', 'misbah-blog' ),
				'3' => __( '3 Column', 'misbah-blog' ),
				'4' => __( '4 Column', 'misbah-blog' ),
			],
	] );

	// HEADER SECTION

	Kirki::add_section( 'misbah_blog_section_header', array(
	    'title'          => esc_html__( 'Header Settings', 'misbah-blog' ),
	    'description'    => esc_html__( 'Here you can add different type of social icons.', 'misbah-blog' ),
	    'panel'          => 'misbah_blog_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'misbah_blog_enable_search',
		'section'     => 'misbah_blog_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Search Box', 'misbah-blog' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'misbah_blog_search_box_enable',
		'label'       => esc_html__( 'Search Enable / Disable Button', 'misbah-blog' ),
		'section'     => 'misbah_blog_section_header',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'misbah-blog' ),
			'off' => esc_html__( 'Disable', 'misbah-blog' ),
		],
		'partial_refresh'    => [
		'misbah_blog_search_box_enable' => [
			'selector'        => '.header-search',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'misbah_blog_enable_socail_link',
		'section'     => 'misbah_blog_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Social Media Link', 'misbah-blog' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'repeater',
		'section'     => 'misbah_blog_section_header',
		'priority'    => 10,
		'row_label' => [
			'type'  => 'field',
			'value' => esc_html__( 'Social Icon', 'misbah-blog' ),
			'field' => 'link_text',
		],
		'button_label' => esc_html__('Add New Social Icon', 'misbah-blog' ),
		'settings'     => 'misbah_blog_social_links_settings',
		'default'      => '',
		'fields' 	   => [
			'link_text' => [
				'type'        => 'text',
				'label'       => esc_html__( 'Icon', 'misbah-blog' ),
				'description' => esc_html__( 'Add the fontawesome class ex: "fab fa-facebook-f".', 'misbah-blog' ),
				'default'     => '',
			],
			'link_url' => [
				'type'        => 'url',
				'label'       => esc_html__( 'Social Link', 'misbah-blog' ),
				'description' => esc_html__( 'Add the social icon url here.', 'misbah-blog' ),
				'default'     => '',
			],
		],
		'choices' => [
			'limit' => 5
		],
		'partial_refresh'    => [
		'misbah_blog_social_links_settings' => [
			'selector'        => '.social-links a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	// SLIDER BLOG SECTION

	Kirki::add_section( 'misbah_blog_blog_slide_section', array(
        'title'          => esc_html__( ' Blog Slider Settings', 'misbah-blog' ),
        'description'    => esc_html__( 'You have to select post category to show blog slider.', 'misbah-blog' ),
        'panel'          => 'misbah_blog_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'misbah_blog_enable_heading',
		'section'     => 'misbah_blog_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Blog Slider', 'misbah-blog' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'misbah_blog_blog_box_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'misbah-blog' ),
		'section'     => 'misbah_blog_blog_slide_section',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'misbah-blog' ),
			'off' => esc_html__( 'Disable', 'misbah-blog' ),
		],
		'partial_refresh'    => [
		'misbah_blog_blog_box_enable' => [
			'selector'        => '.blog_box h3',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'misbah_blog_cat_unable_disable',
		'label'       => esc_html__( 'Slide Category Option Enable / Disable', 'misbah-blog' ),
		'section'     => 'misbah_blog_blog_slide_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'misbah-blog' ),
			'off' => esc_html__( 'Disable', 'misbah-blog' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'misbah_blog_title_unable_disable',
		'label'       => esc_html__( 'Slide Title Enable / Disable', 'misbah-blog' ),
		'section'     => 'misbah_blog_blog_slide_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'misbah-blog' ),
			'off' => esc_html__( 'Disable', 'misbah-blog' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'misbah_blog_slider_detail_unable_disable',
		'label'       => esc_html__( 'Slider Detail Enable / Disable', 'misbah-blog' ),
		'section'     => 'misbah_blog_blog_slide_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'misbah-blog' ),
			'off' => esc_html__( 'Disable', 'misbah-blog' ),
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'misbah_blog_slider_heading',
		'section'     => 'misbah_blog_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Blog Slider', 'misbah-blog' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'misbah_blog_blog_slide_number',
		'label'       => esc_html__( 'Slide Content Range', 'misbah-blog' ),
		'section'     => 'misbah_blog_blog_slide_section',
		'default'     => 3,
		'choices'     => [
			'min'  => 0,
			'max'  => 80,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'misbah_blog_blog_slide_category',
		'label'       => esc_html__( 'Select the category to show blog slider ( Image Dimension 1600 x 600 )', 'misbah-blog' ),
		'section'     => 'misbah_blog_blog_slide_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'misbah-blog' ),
		'priority'    => 10,
		'choices'     => misbah_blog_get_categories_select(),
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'misbah_blog_enable_heading_22',
	'section'     => 'misbah_blog_blog_slide_section',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Content Alignment', 'misbah-blog' ) . '</h3>',
	'priority'    => 10,
] );


	new \Kirki\Field\Select(
	[
		'settings'    => 'misbah_blog_slider_content_alignment',
		'label'       => esc_html__( 'Slider Content Alignment', 'misbah-blog' ),
		'section'     => 'misbah_blog_blog_slide_section',
		'default'     => 'LEFT-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'misbah-blog' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'misbah-blog' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'misbah-blog' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'misbah-blog' ),

		],
	] );

		new \Kirki\Field\Select(
	[
		'settings'    => 'misbah_blog_slider_opacity_color',
		'label'       => esc_html__( 'Slider Opacity Option', 'misbah-blog' ),
		'section'     => 'misbah_blog_blog_slide_section',
		'default'     => '0.6',
		'placeholder' => esc_html__( 'Choose an option', 'misbah-blog' ),
		'choices'     => [
			'0' => esc_html__( '0', 'misbah-blog' ),
			'0.1' => esc_html__( '0.1', 'misbah-blog' ),
			'0.2' => esc_html__( '0.2', 'misbah-blog' ),
			'0.3' => esc_html__( '0.3', 'misbah-blog' ),
			'0.4' => esc_html__( '0.4', 'misbah-blog' ),
			'0.5' => esc_html__( '0.5', 'misbah-blog' ),
			'0.6' => esc_html__( '0.6', 'misbah-blog' ),
			'0.7' => esc_html__( '0.7', 'misbah-blog' ),
			'0.8' => esc_html__( '0.8', 'misbah-blog' ),
			'0.9' => esc_html__( '0.9', 'misbah-blog' ),
			'1.0' => esc_html__( '1.0', 'misbah-blog' ),
			

		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'misbah_blog_overlay_option',
		'label'       => esc_html__( 'Enable / Disable Slider Overlay', 'misbah-blog' ),
		'section'     => 'misbah_blog_blog_slide_section',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'misbah-blog' ),
			'off' => esc_html__( 'Disable', 'misbah-blog' ),
		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'misbah_blog_slider_image_overlay_color',
		'label'       => __( 'choose your Appropriate Overlay Color', 'misbah-blog' ),
		'section'     => 'misbah_blog_blog_slide_section',
		'default'     => '',
	] );

	// SIDE BLOG SECTION

	Kirki::add_section( 'misbah_blog_blog_multiple_section', array(
        'title'          => esc_html__( 'Side Blog Settings', 'misbah-blog' ),
        'description'    => esc_html__( 'You have to select post category to show side blog post.', 'misbah-blog' ),
        'panel'          => 'misbah_blog_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'misbah_blog_multiple_enable_heading',
		'section'     => 'misbah_blog_blog_multiple_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Side Blog Post', 'misbah-blog' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'misbah_blog_blog_multiple_box_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'misbah-blog' ),
		'section'     => 'misbah_blog_blog_multiple_section',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'misbah-blog' ),
			'off' => esc_html__( 'Disable', 'misbah-blog' ),
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'misbah_blog_multiple_heading',
		'section'     => 'misbah_blog_blog_multiple_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Side Blog Post', 'misbah-blog' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'misbah_blog_blog_multiple_number',
		'label'       => esc_html__( 'Number of post to show', 'misbah-blog' ),
		'section'     => 'misbah_blog_blog_multiple_section',
		'default'     => 3,
		'choices'     => [
			'min'  => 0,
			'max'  => 80,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'misbah_blog_blog_multiple_category',
		'label'       => esc_html__( 'Select the category to show side blog post ( Image Dimension 450 x 200 )', 'misbah-blog' ),
		'section'     => 'misbah_blog_blog_multiple_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'misbah-blog' ),
		'priority'    => 10,
		'choices'     => misbah_blog_get_categories_select(),
	] );

	// FEATURED POST SECTION

	Kirki::add_section( 'misbah_blog_featured_post_section', array(
        'title'          => esc_html__( 'Featured Post Settings', 'misbah-blog' ),
        'description'    => esc_html__( 'You have to select post category to show featured post.', 'misbah-blog' ),
        'panel'          => 'misbah_blog_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'misbah_blog_featured_title_heading',
		'section'     => 'misbah_blog_featured_post_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Featured Post Heading', 'misbah-blog' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'misbah_blog_featured_post_heading',
		'label'    => esc_html__( 'Heading', 'misbah-blog' ),
		'section'  => 'misbah_blog_featured_post_section',
		'default'  => '',
		'priority' => 10,
		'partial_refresh'    => [
		'misbah_blog_featured_post_heading' => [
			'selector'        => '.featured_post h3',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'misbah_blog_post_heading',
		'section'     => 'misbah_blog_featured_post_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Featured Post', 'misbah-blog' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'misbah_blog_featured_post_number',
		'label'       => esc_html__( 'Number of post to show', 'misbah-blog' ),
		'section'     => 'misbah_blog_featured_post_section',
		'default'     => 3,
		'choices'     => [
			'min'  => 0,
			'max'  => 80,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'misbah_blog_featured_post_category',
		'label'       => esc_html__( 'Select the category to show featured post', 'misbah-blog' ),
		'section'     => 'misbah_blog_featured_post_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'misbah-blog' ),
		'priority'    => 10,
		'choices'     => misbah_blog_get_categories_select(),
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'misbah_blog_featured_text_heading',
		'section'     => 'misbah_blog_featured_post_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Number Of Text', 'misbah-blog' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'misbah_blog_feature_excerpt_number',
		'label'       => esc_html__( 'Post Content Range', 'misbah-blog' ),
		'section'     => 'misbah_blog_featured_post_section',
		'default'     => 15,
		'choices'     => [
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		],
	] );

	// FOOTER SECTION

	Kirki::add_section( 'misbah_blog_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'misbah-blog' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'misbah-blog' ),
        'panel'          => 'misbah_blog_panel_id',
        'priority'       => 180,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'misbah_blog_footer_text_heading',
		'section'     => 'misbah_blog_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'misbah-blog' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'misbah_blog_footer_text',
		'section'  => 'misbah_blog_footer_section',
		'default'  => '',
		'priority' => 10,
		'partial_refresh'    => [
		'misbah_blog_footer_text' => [
			'selector'        => '.copy-text p',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );



}
