<?php
  global $post;

$post_author_id   = get_post_field( 'post_author', get_queried_object_id() );
$misbah_blog_get_post_column_layout = get_theme_mod( 'misbah_blog_post_column_count', 2 );
$post_column_layout = 'col-sm-12 col-md-6 col-lg-4';
if ( $misbah_blog_get_post_column_layout == 2 ) {
  $post_column_layout = 'col-lg-6 col-md-12';
} elseif ( $misbah_blog_get_post_column_layout == 3 ) {
  $post_column_layout = 'col-sm-12 col-md-6 col-lg-4';
} elseif ( $misbah_blog_get_post_column_layout == 4 ) {
  $post_column_layout = 'col-sm-12 col-md-6 col-lg-3';
}else{
  $post_column_layout = 'col-sm-12 grid-layout';
}
?>

<div class="<?php echo esc_attr( $post_column_layout ); ?> blog-grid-layout">
  <div id="post-<?php the_ID(); ?>" <?php post_class('post-box mb-4 p-3'); ?>>
    <div class="row">
      <?php if ( has_post_thumbnail() ) { ?>
        <div class="col-lg-5 col-md-5">
          <div class="post-thumbnail">
            <a href="<?php echo esc_url(get_permalink($post->ID)); ?>" title="<?php the_title_attribute(); ?>">
              <?php
                the_post_thumbnail();
              ?>
            </a>
          </div>
        </div>
      <?php }?>
      <div class="<?php if(has_post_thumbnail()) { ?>col-lg-7 col-md-7" <?php } else { ?>col-lg-12 col-md-12" <?php } ?>>
        <h3 class="post-title mb-3 mt-0"><a href="<?php echo esc_url(get_permalink($post->ID)); ?>"><?php the_title(); ?></a></h3>
        <?php if ( get_theme_mod('misbah_blog_blog_date_enable') ) : ?>
          <div class="post-meta mb-2">
            <i class="far fa-clock"></i>
            <?php
              esc_html_e(' Posted On ','misbah-blog');
              echo esc_attr(get_the_date());
            ?>
          </div>
        <?php endif; ?>
        <div class="post-content">
          <?php echo wp_trim_words( get_the_content(), get_theme_mod('misbah_blog_post_excerpt_number',15) ); ?>
        </div>
        <div class="post-meta">
          <?php if ( get_theme_mod('misbah_blog_blog_admin_enable') ) : ?>
            <?php echo get_avatar( get_the_author_meta('ID'), 40); ?>
            <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><?php the_author(); ?></a>
          <?php endif; ?>
          <?php if ( get_theme_mod('misbah_blog_blog_comment_enable') ) : ?>
            <span class="ml-3"><i class="far fa-comments"></i> <?php comments_number( esc_attr('0', 'misbah-blog'), esc_attr('0', 'misbah-blog'), esc_attr('%', 'misbah-blog') ); ?></span>
          <?php endif; ?>
        </div>
      </div>
    </div>
  </div>
</div>